datacache <- new.env(hash=TRUE, parent=emptyenv())

org.Mm.ref_dbconn <- function() dbconn(datacache)
org.Mm.ref_dbfile <- function() dbfile(datacache)
org.Mm.ref_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, 
    file=file, show.indices=show.indices)
org.Mm.ref_dbInfo <- function() dbInfo(datacache)
org.Mm.refORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    require("PAnnBuilder", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "org.Mm.ref.sqlite", package="org.Mm.ref.db", 
        lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs("REFSEQ", "org.Mm.ref", datacache, dbconn)    
    mergeToNamespaceAndExport(ann_objs, "org.Mm.ref.db" )
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(org.Mm.ref_dbconn())
}

