\name{org.Mm.refKEGG}
\alias{org.Mm.refKEGG}
\title{Map protein identifier to KEGG gene identifiers} 
\description{
  org.Mm.refKEGG maps protein identifiers to KEGG gene identifiers.
}
\details{
  Each protein identifier maps to KEGG gene identifiers.

  Mappings were based on data provided by: KEGG (\url{ftp://ftp.genome.jp/pub/kegg/mmu/mmu_pathway.list ; ftp://ftp.genome.jp/pub/kegg/mmu/mmu_ncbi-geneid.list}) on
    
}

\examples{
	x <- org.Mm.refKEGG
  # Get the protein identifiers that are mapped to KEGG gene identifiers.
  mapped_proteins <- mappedkeys(x)
  # Convert to a list
  xx <- as.list(x[mapped_proteins])
	if(length(xx) > 0){
		# Get the value of the first key
		xx[[1]]
	}
}

