\name{org.Mm.refREFSEQ}
\alias{org.Mm.refREFSEQ}
\alias{org.Mm.refREFSEQ2GI}
\title{Map protein identifier to RefSeq identifiers} 
\description{
  org.Mm.refREFSEQ maps protein identifiers to RefSeq identifiers.
}
\details{
  Each protein identifier maps to RefSeq identifiers.

  Mappings were based on data provided by: NCBI (\url{ftp://ftp.ncbi.nih.gov/refseq/M_musculus/mRNA_Prot/mouse.protein.faa.gz}) on
  March 10, 2008  
}

\examples{
	x <- org.Mm.refREFSEQ
  # Get the protein identifiers that are mapped to RefSeq identifiers.
  mapped_proteins <- mappedkeys(x)
  # Convert to a list
  xx <- as.list(x[mapped_proteins])
	if(length(xx) > 0){
		# Get the value of the first key
		xx[[1]]
	}
	
	## For the reverse map org.Mm.refREFSEQ2GI
  xx <- as.list(org.Mm.refREFSEQ2GI)
  if(length(xx) > 0){         
      ## Get the first one
      xx[[1]]
  } 
}

