\name{org.Mm.refSEQ}
\alias{org.Mm.refSEQ}
\title{Map protein identifier to the protein sequence}
\description{
  org.Mm.refSEQ provides mappings between a
  protein identifier and the protein Sequence. 
}
\details{
  Mappings were based on data provided by: RefSeq (\url{ftp://ftp.ncbi.nih.gov/refseq/M_musculus/mRNA_Prot/mouse.protein.faa.gz}) on
  March 10, 2008  
}

\examples{
	x <- org.Mm.refSEQ
  # Get the protein identifiers that are mapped to protein sequences.
  mapped_proteins <- mappedkeys(x)
  # Convert to a list
  xx <- as.list(x[mapped_proteins])
  # randomly display 10 proteins
  sample(xx, 10)
}

